#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>

int
main (int argc, char **argv)
{
    FILE *in_r;
    FILE *in_rb;

    uint8_t buf_r[10000];
    uint8_t buf_rb[10000];

    size_t n_r, n_rb, i;

    in_r = fopen ("bin_file.in", "r");
    in_rb = fopen ("bin_file.in", "rb");

    n_r = fread (buf_r, 1, sizeof (buf_r), in_r);
    n_rb = fread (buf_rb, 1, sizeof (buf_rb), in_rb);

    printf ("n_r  = %d\n", n_r);
    printf ("n_rb = %d\n", n_rb);

    for (i=0; i<n_r; i++)
    {
        if (buf_r[i] != buf_rb[i])
        {
            printf ("mismatch at address 0x%x\n", i);
            exit (1);
        }
    }

    printf ("I don't see an difference.\n");

    return 0;
}
